@import '_content/ReactorBlazorQRCodeScanner/ReactorBlazorQRCodeScanner.boasv5qmh0.bundle.scp.css';

/* /Pages/Dashboard.razor.rz.scp.css */
input[type='checkbox']:checked[b-zt13j170ey] {
    background-color: #0d6efd;
}

.inProgressWrapper[b-zt13j170ey] {
    display: flex;
    flex-direction: column;
    border-bottom: 1px solid #ccc;
    padding-bottom: var(--UNIT_04);
}

@media all and (min-width:600px){
    .inProgressWrapper[b-zt13j170ey] {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        gap: var(--UNIT_04);
        padding-bottom: unset;
    }
    .inProgressWrapper > *:last-child[b-zt13j170ey] { width:75%; }
}
span.token[b-zt13j170ey] { width: 32px; height: 32px; border-radius: 50%; padding: 8px; color: white; text-align: center; margin-left:var(--UNIT_02);}

span.token.Liquid[b-zt13j170ey] { background-color: var(--COLOUR_BLUE); }
span.token.Granular[b-zt13j170ey] { background-color: var(--COLOUR_GREEN); }
span.token.Spreader[b-zt13j170ey] {  background-color: var(--COLOUR_BROWN); }
span.token.Fogging[b-zt13j170ey] { background-color: darkorange; }
/* /Pages/Faults.razor.rz.scp.css */
/* /Pages/GranularOutputs.razor.rz.scp.css */
.grid-wrapper[b-uyo08pcgcr] {
    display: grid;
    grid-gap: var(--UNIT_04);
    grid-template-columns: repeat(2, 1fr);
    align-items: flex-start;
}

    .grid-wrapper:not(.results, .actions) > div:last-child[b-uyo08pcgcr] {
        grid-column: span 2;
    }

.results[b-uyo08pcgcr] {
    grid-template-columns: 1.5fr 1.5fr;
    overflow-y: scroll;
    max-height: 210px;
}

.headers[b-uyo08pcgcr] {
    grid-template-columns: 1.5fr 1.5fr;
}

    .headers h5:nth-child(2)[b-uyo08pcgcr] {
    }

    .headers h5[b-uyo08pcgcr] {
        display: flex;
        flex-direction: column;
    }

        .headers h5 span[b-uyo08pcgcr] {
            color: #ccc;
            font-size: var(--FONT_SIZE_SMALL);
        }

.grid-wrapper.actions[b-uyo08pcgcr] {
    grid-template-columns: repeat(1, 1fr);
}

[b-uyo08pcgcr] .grid-wrapper.actions > button {
    font-size: 16px !important;
}

.boxshadow[b-uyo08pcgcr] {
    padding: var(--UNIT_04);
    BACKGROUND: WHITE;
    border-radius: var(--UNIT_01);
    box-shadow: 0 0px 10px rgb(0 0 0 / 10%);
}

    .boxshadow.inputs[b-uyo08pcgcr] {
        overflow: hidden;
    }

@media all and (min-width: 600px) {

    .grid-wrapper:not(.headers)[b-uyo08pcgcr] { /*grid-template-columns: repeat(4, 1fr);*/
    }

    .grid-wrapper.actions[b-uyo08pcgcr] {
        grid-template-columns: repeat(2, 1fr);
    }

    .results[b-uyo08pcgcr] {
        max-height: 440px;
    }

    .boxshadow.inputs[b-uyo08pcgcr] { /*max-height: calc(100vh - 400px);*/
    }
}
/* /Pages/NozzleFlowRates.razor.rz.scp.css */

.nozzlebox[b-20o73g5mo4] { 
    
    width:70px;
    display:flex;
    flex-direction:column;
    justify-content:center;
    text-align:center;
}


div.outputrow[b-20o73g5mo4] { display:flex; flex-direction:row;}
div.outputrow div.position[b-20o73g5mo4] {width:80px;}

.nozzleSelector[b-20o73g5mo4] { display:flex; flex-direction:column; width:100%; }
.nozzleSelector div.nozzle[b-20o73g5mo4] { display: flex; align-items:center; flex-wrap:wrap; justify-content:space-between; position:relative;}
    .nozzleSelector div.customNozzle[b-20o73g5mo4] {
        display: flex;
        flex-direction: row;
        gap: 20px;
        width: 100%;
        margin-top: var(--UNIT_02);
    }


.nozzleSelector div.customNozzle.invisible[b-20o73g5mo4] {
    display: none!important;
}

.token[b-20o73g5mo4] {
    width: 20px;
    height: 20px;
    border-radius: 6px;
}

.tableWrapper[b-20o73g5mo4] {
    overflow: scroll;
    max-height: 500px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    border-radius: var(--UNIT_02);
}

.customTable[b-20o73g5mo4] {
    border-collapse: collapse;
    border:1px solid #ddd;
    font-size: var(--FONT_SIZE_NORMAL);
    width: 100%;
}

    .customTable td[b-20o73g5mo4], .customTable th[b-20o73g5mo4] {
        border: 1px solid #ddd;
        padding: var(--UNIT_02);
    }
    .customTable tbody td[b-20o73g5mo4] { padding: 8px; }

    .customTable tr:nth-child(odd)[b-20o73g5mo4] {
        background-color: #f1f6ff;
    }
    .customTable tr:nth-child(even)[b-20o73g5mo4] {
        background-color: white;
    }

.customTable thead[b-20o73g5mo4] { position:sticky; top:-2px ;z-index:1; }
.customTable thead th:first-child[b-20o73g5mo4] { min-width:160px!important; }
.customTable thead th:last-child[b-20o73g5mo4] { min-width:unset!important;}

.customTable th[b-20o73g5mo4] {
    padding-top: var(--UNIT_02);
    padding-bottom: var(--UNIT_02);
    text-align: left;
    background-color: white;
    color: #666;
    min-width:100px;
    position:relative;
}

    .customTable th.nozzlePos span[b-20o73g5mo4] { display: block; }
    .customTable .nozzleOuter[b-20o73g5mo4] { display: flex; justify-content: space-between; color:black; }
    .customTable th .nozzle[b-20o73g5mo4] { display:flex; flex-direction:column; }
    .customTable .nozzleOuter .token[b-20o73g5mo4] { width:20px; height:20px; }

.descText[b-20o73g5mo4] {
    padding: var(--UNIT_02);
    border: 2px dashed #0D6EFD;
    border-radius:var(--UNIT_02);
}

@media all and (min-width:600px) {
    .nozzleSelector[b-20o73g5mo4] {
        width:400px;
    }

    .tableWrapper[b-20o73g5mo4] { 
        max-height: 400px;
    }

    .customTable .nozzleOuter .token[b-20o73g5mo4] {
        width: 24px;
        height: 24px;
    }

    .customTable th[b-20o73g5mo4] {
        min-width: 150px;
    }
}

/* /Pages/Submission.razor.rz.scp.css */


p.floater[b-i8hyzd9ch3] { position: relative; }
p.floater label[b-i8hyzd9ch3] { border: var(--BORDER_WIDTH_NORMAL) solid var(--COLOUR_TRANSPARENT); color: var(--COLOUR_GREY_MEDIUM); cursor: text; font-family: var(--FONT_FAMILY_HEADING2); font-size: var(--FONT_SIZE_NORMAL); line-height: calc(var(--UNIT_08) - var(--BORDER_WIDTH_NORMAL) - var(--BORDER_WIDTH_NORMAL)); margin: 0; position: absolute; padding: 0 var(--UNIT_02); top: 0; -moz-transition:all 0.3s ease-in; -webkit-transition:all 0.3s ease-in; transition: all 0.3s ease-in; width: 100%; z-index: 2; }
p.floater label[b-i8hyzd9ch3]::after { content: ":"; }
p.floater label.active[b-i8hyzd9ch3] { font-family: var(--FONT_FAMILY_NORMAL); font-size: var(--FONT_SIZE_TINY); line-height: var(--LINE_HEIGHT_TINY); padding: 3px var(--UNIT_02); pointer-events: none; transition: all 0.3s ease-in; -moz-transition:all 0.3s ease-in; -webkit-transition:all 0.3s ease-in;}
p.floater input[b-i8hyzd9ch3] { line-height: var(--LINE_HEIGHT_NORMAL); padding-top: var(--UNIT_03); }
p.floater textarea[b-i8hyzd9ch3] { line-height: var(--LINE_HEIGHT_NORMAL); padding-top: var(--UNIT_03); }
/* /Pages/Summary.razor.rz.scp.css */

[b-t3v10amr5t] .customButtonWrapper > button {
    font-size: var(--FONT_SIZE_NORMAL)!important;
}

h2[b-t3v10amr5t] {
    text-align: center;
    font-size: var(--FONT_SIZE_XXXHUGE);
}
.PASSED[b-t3v10amr5t] { color:green; }
.FAILED[b-t3v10amr5t], .INCOMPLETE[b-t3v10amr5t] { color: red; }
/* /Pages/Training.razor.rz.scp.css */

.cert-wrapper[b-si9brgg1on] { display:grid; grid-template-columns: repeat(3, 1fr); grid-gap:var(--UNIT_04);}

.certNumber[b-si9brgg1on] { background-color:var(--COLOUR_GREY_MEDIUM); cursor:pointer; font:var(--FONT_FAMILY_BOLD); height:var(--UNIT_08); border-radius:var(--UNIT_04); padding: 8px; color: white; text-align: center; display:flex; align-items:center; justify-content:center;}
.certNumber:hover[b-si9brgg1on] { background-color:var(--COLOUR_GREY_DARK); }

.token[b-si9brgg1on] { width: 32px; height: 32px; border-radius: 50%; padding: 8px; color: white; text-align: center; }

.token.Liquid[b-si9brgg1on] { background-color: var(--COLOUR_BLUE); }
.token.Granular[b-si9brgg1on] { background-color: var(--COLOUR_GREEN); }
.token.Spreader[b-si9brgg1on] {  background-color: var(--COLOUR_BROWN); }
.token.Fogging[b-si9brgg1on] { background-color: darkorange; }


.certNumber.Liquid:hover[b-si9brgg1on] { background-color: var(--COLOUR_BLUE); }
.certNumber.Granular:hover[b-si9brgg1on] { background-color: var(--COLOUR_GREEN); }
.certNumber.Spreader:hover[b-si9brgg1on] { background-color: var(--COLOUR_BROWN); }
.certNumber.Fogging:hover[b-si9brgg1on] { background-color: darkorange; }


@media all and (min-width:600px) {
    .cert-wrapper[b-si9brgg1on] { display:grid; grid-template-columns: repeat(4, 1fr);}

}
/* /Pages/UniformPressures.razor.rz.scp.css */

.grid-wrapper[b-7qd4e88gq1] {
    display: grid;
    grid-gap: var(--UNIT_04);
    grid-template-columns: repeat(2, 1fr);
    align-items:flex-start;
}
.grid-wrapper:not(.results, .actions) > div:last-child[b-7qd4e88gq1] { grid-column:span 2; }
.results[b-7qd4e88gq1] { grid-template-columns: 1.5fr 1.5fr; overflow-y: scroll; max-height:210px;}

.headers[b-7qd4e88gq1] { grid-template-columns:1.5fr 1.5fr; }
.headers h5:nth-child(2)[b-7qd4e88gq1] { }
    .headers h5[b-7qd4e88gq1] { display:flex; flex-direction:column;}
        .headers h5 span[b-7qd4e88gq1] {
            color: #ccc;
            font-size: var(--FONT_SIZE_SMALL);
        }

.grid-wrapper.actions[b-7qd4e88gq1] {
    grid-template-columns: repeat(1, 1fr);
}

[b-7qd4e88gq1] .grid-wrapper.actions > button { font-size:16px!important; }

.boxshadow[b-7qd4e88gq1] { 
    padding: var(--UNIT_04);
    BACKGROUND: WHITE;
    border-radius:var(--UNIT_01);
    box-shadow: 0 0px 10px rgb(0 0 0 / 10%);
}
    .boxshadow.inputs[b-7qd4e88gq1] { overflow:hidden; }

@media all and (min-width: 600px) {

    .grid-wrapper:not(.headers)[b-7qd4e88gq1] { /*grid-template-columns: repeat(4, 1fr);*/ }
    .grid-wrapper.actions[b-7qd4e88gq1] { grid-template-columns: repeat(2, 1fr); }
    .results[b-7qd4e88gq1] { max-height:440px; }
    .boxshadow.inputs[b-7qd4e88gq1] { /*max-height: calc(100vh - 400px);*/ }
}
/* /Shared/Controls/CustomRadio.razor.rz.scp.css */
.radio-toolbar[b-zsl5w5otla] { 
    display:flex;
    justify-content:space-between;
    margin:18px 0;
}

.radio-wrapper[b-zsl5w5otla] { 
    display:flex;
    flex-direction:column;
    cursor:pointer;
}
input[type=radio][b-zsl5w5otla] {
    appearance: none;
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    padding: 0;
    box-shadow: 0 0 0 3px #ccc;
    border: 3px solid #FFF;
    border-radius: 50%;
    display: flex;
    position:relative;
    margin: 0 auto;
    pointer-events:none;
}

    input[type=radio]:checked[b-zsl5w5otla] {
        box-shadow: 0 0 0 3px #0d6efd;
        background: #0d6efd;
    }
    input[type=radio][b-zsl5w5otla]::before {
        content: "";
        position: absolute;
        left:1px;
        top:1px;
        width: 26px;
        height: 26px;
        border-radius: 50%;
        opacity: 30%;
        margin-top:-50%;
        margin-left:-50%;

    }
    input[type=radio]:checked[b-zsl5w5otla]::before{
        box-shadow: 0 0 3px 5px #0d6efd;
    }

    .radio-wrapper label[b-zsl5w5otla] {
        color:#666;
        font-size:12px;
        margin-top:12px;
        pointer-events:none;
    }
/* /Shared/Controls/FaultQuestionCard.razor.rz.scp.css */

/*Dont need to do this now with label width set and ellipsis */
[b-62b8u1ge1f] .tfwx label.multiline { /*line-height: unset;*/
}

span.tolerance[b-62b8u1ge1f] {
    font-size: 14px;
    font-weight: bold;
    border: 1px dashed #9c9c9c;
    padding: 4px;
    border-radius: 6px;
    display: flex;
    text-align: center;
    justify-content: center;
    background-color: #ededed;
}

.cardWrapper[b-62b8u1ge1f] {
    border-radius: 6px;
    max-width: 350px;
    width: 100%;
    overflow: hidden;
    box-shadow: rgb(0 0 0 / 10%) 0 0px 6px;
    position: relative;
    margin: 12px auto;
    display: flex;
    height: auto;
    overflow: auto;
}

    .cardWrapper.highlight[b-62b8u1ge1f] {
        animation: pulse-b-62b8u1ge1f 1s infinite;
        animation-iteration-count: 3;
    }

    .cardWrapper.redHighlight[b-62b8u1ge1f] {
        box-shadow: rgb(244 32 13 / 50%) 0 0px 18px;
    }

@keyframes pulse-b-62b8u1ge1f {
    from {
        box-shadow: rgb(0 0 0 / 10%) 0 0px 6px;
    }

    to {
        box-shadow: rgb(26 115 232 / 50%) 0 0px 18px;
    }
}

@-webkit-keyframes pulse {
    from {
        box-shadow: rgb(0 0 0 / 10%) 0 0px 6px;
    }

    to {
        box-shadow: rgb(26 115 232 / 50%) 0 0px 18px;
    }
}

@-moz-keyframes pulse {
    from {
        box-shadow: rgb(0 0 0 / 10%) 0 0px 6px;
    }

    to {
        box-shadow: rgb(26 115 232 / 50%) 0 0px 18px;
    }
}

.cardMainContent[b-62b8u1ge1f] {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: auto;
    background-color: white;
    padding: 12px;
    position: relative;
    width: 100%;
}


    .cardMainContent .header[b-62b8u1ge1f] {
        display: flex;
        width: 85%;
        position: relative;
    }

        .cardMainContent .header h5[b-62b8u1ge1f] {
            width: 90%
        }


.cardHiddenContent[b-62b8u1ge1f] {
    display: none;
    padding: 24px;
}

    .cardHiddenContent p[b-62b8u1ge1f] {
        width: 100%;
        margin-bottom: var(--UNIT_04);
    }

h5[b-62b8u1ge1f] {
    font-size: 14px;
}

    h5 .red[b-62b8u1ge1f] {
        color: red;
    }

span.indicator[b-62b8u1ge1f] {
    border: none;
    background-color: var(--COLOUR_RED);
    border-radius: 50%;
    height: 24px;
    width: 24px;
    font-size: 12px;
    line-height: 24px;
    text-align: center;
    color: white;
    margin-left: var(--UNIT_02);
    position: absolute;
    right: calc(var(--UNIT_02) * -1);
    font-family: var(--FONT_FAMILY_BOLD);
}

    span.indicator.cautionary[b-62b8u1ge1f] {
        background-color: var(--COLOUR_YELLOW);
    }


.lblCheckbox[b-62b8u1ge1f] {
    margin: 12px;
    width: 24px;
    height: 24px;
    display: flex;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 8;
    align-items: center;
    justify-content: center;
    color: white;
    background: black;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    transition: all .25s linear;
    -webkit-transition: all .25s linear;
    -moz-transition: all .25s linear;
}

.cardMainContent .cardHiddenContent[b-62b8u1ge1f] {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: slategray;
    font-family: var(--FONT_FAMILY_NORMAL);
    color: white;
    margin-top: var(--UNIT_04);
    border-radius: var(--UNIT_01);
}


.notesTextArea[b-62b8u1ge1f] {
    visibility: hidden;
    padding: 0;
    border-width: 0;
    height: 0;
    transition: all 0s;
    -moz-transition: all 0s;
    -webkit-transition: all 0s;
    color: white;
}

    .notesTextArea.visible[b-62b8u1ge1f] {
        padding: var(--UNIT_01) var(--UNIT_02);
        font-family: var(--FONT_FAMILY_NORMAL);
        height: var(--UNIT_16);
        visibility: visible;
        background-color: slategray;
        transition: all 0s;
        /*margin-top: var(--UNIT_04);*/
    }

div.multi[b-62b8u1ge1f] {
    display: grid;
    grid-gap: 12px;
    grid-template-columns: 1fr 1fr;
    margin-bottom: var(--UNIT_04);
}

.radio-toolbar[b-62b8u1ge1f] {
    display: flex;
    justify-content: space-between;
}

.radio-wrapper[b-62b8u1ge1f] {
    display: flex;
    flex-direction: column;
}

[b-62b8u1ge1f] .radio-wrapper input[type=radio] {
    cursor: pointer;
    width: 20px;
    height: 20px;
    padding: 0;
    box-shadow: 0 0 0 3px #ccc;
    border: 3px solid #FFF;
    border-radius: 50%;
    display: flex;
    position: relative;
    margin: 0 auto;
}

    [b-62b8u1ge1f] .radio-wrapper input[type=radio]::before {
        content: "";
        position: absolute;
        left: 1px;
        top: 1px;
        width: 26px;
        height: 26px;
        border-radius: 50%;
        opacity: 30%;
        margin-top: -50%;
        margin-left: -50%;
    }

    [b-62b8u1ge1f] .radio-wrapper input[type=radio].resultPass:checked {
        box-shadow: 0 0 0 3px var(--COLOUR_GREEN);
        background: var(--COLOUR_GREEN);
    }

        [b-62b8u1ge1f] .radio-wrapper input[type=radio].resultPass:checked::before {
            box-shadow: 0 0 3px 5px var(--COLOUR_GREEN);
        }

    [b-62b8u1ge1f] .radio-wrapper input[type=radio].resultFail:checked {
        box-shadow: 0 0 0 3px var(--COLOUR_RED);
        background: var(--COLOUR_RED);
    }

        [b-62b8u1ge1f] .radio-wrapper input[type=radio].resultFail:checked::before {
            box-shadow: 0 0 3px 5px var(--COLOUR_RED);
        }

    [b-62b8u1ge1f] .radio-wrapper input[type=radio].resultRepair:checked {
        box-shadow: 0 0 0 3px var(--COLOUR_GREEN);
        background: var(--COLOUR_GREEN);
    }

        [b-62b8u1ge1f] .radio-wrapper input[type=radio].resultRepair:checked::before {
            box-shadow: 0 0 3px 5px var(--COLOUR_GREEN);
        }

    [b-62b8u1ge1f] .radio-wrapper input[type=radio].resultNotFitted:checked {
        box-shadow: 0 0 0 3px var(--COLOUR_GREY_DARK);
        background: var(--COLOUR_GREY_DARK);
    }

        [b-62b8u1ge1f] .radio-wrapper input[type=radio].resultNotFitted:checked::before {
            box-shadow: 0 0 3px 5px var(--COLOUR_GREY_DARK);
        }

.radio-wrapper label[b-62b8u1ge1f] {
    color: #666;
    font-size: 12px;
    margin-top: 12px;
    pointer-events: none;
}

.extra-content[b-62b8u1ge1f] {
    display: contents;
}

[b-62b8u1ge1f] .extra-content button:not(.Check) {
    margin-bottom: 0 !important;
}
/* /Shared/Controls/SignatureBox.razor.rz.scp.css */

.signature-wrapper[b-h2rxy6tfa4] {
    max-width:500px;
    width:100%;
    height:150px;
    display:flex;
    flex-wrap:wrap;
    position:relative;
}

[b-h2rxy6tfa4] .customTelerikSignatureBox {
    width: 100%!important;
    height: 100%!important;
    background-color:#f7cccc;
    
}       

[b-h2rxy6tfa4] .customTelerikButton { 
    margin-top:1rem;
    width:100%;
}



[b-h2rxy6tfa4] input:not([type='button']) {
    border-width:1px;
}
[b-h2rxy6tfa4] .k-button-md.k-icon-button {padding:unset;}
[b-h2rxy6tfa4] .k-button-md { padding: unset; }
[b-h2rxy6tfa4] .k-signature-line { bottom: 20%; border-bottom-color: #666666 !important; }

.lbl-floating[b-h2rxy6tfa4] {
    position: absolute;
    bottom: 5%;
    margin: 0 auto;
    color:#333333;
    z-index: 2;
    font-size: var(--FONT_SIZE_SMALL);
    width: 100%;
    text-align: center;
}


[b-h2rxy6tfa4] .customFloatingLabel .k-label {
    color:#ccc;
    font-size:14px;
}

[b-h2rxy6tfa4] .customFloatingLabel:focus-within > .k-label{
    font-size: 12px;
    color: #0d6efd;
}

[b-h2rxy6tfa4] .customFloatingLabel:not(.k-empty) > .k-label {
    font-size: 12px;
}

[b-h2rxy6tfa4] .customFloatingLabel .k-floating-label-container > .k-label { font-size:12px; }

@media all and (min-width:600px){

    .signature-wrapper[b-h2rxy6tfa4] { max-width:unset;}
}
/* /Shared/Controls/TFWX_Button.razor.rz.scp.css */
.button[b-hl4uvatydf] {position:relative;}
.button.danger[b-hl4uvatydf] {background-color:var(--COLOUR_RED); color:var(--COLOUR_WHITE);}
.button.primary[b-hl4uvatydf] {background-color:var(--COLOUR_ACTIVE); color:var(--COLOUR_WHITE);}
.button.secondary[b-hl4uvatydf] {background-color:var(--COLOUR_GREY_DARK); color:var(--COLOUR_WHITE);}
.button.tertiary[b-hl4uvatydf] {background-color:#8b94a7; color:var(--COLOUR_WHITE);}
.button.disabled[b-hl4uvatydf] {background-color:var(--COLOUR_GREY_MEDIUM); color:var(--COLOUR_WHITE);}
.button.warning[b-hl4uvatydf] {background-color:var(--COLOUR_YELLOW); color:var(--COLOUR_BLACK);}

.button span + img.icon[b-hl4uvatydf] {position:absolute; right:var(--UNIT_04);}
[b-hl4uvatydf] .k-loader  {position:absolute; right:var(--UNIT_04);}
/* /Shared/Controls/TFWX_Carousel.razor.rz.scp.css */
p[b-55wu76o9mg] {position:relative;}
    p > img[b-55wu76o9mg] { border-radius: var(--UNIT_01); display: block; max-width: 100%; position: relative; left: 0; top: 0; opacity: 1; -webkit-transition: opacity 0.5s linear; -moz-transition: opacity 0.5s linear; transition:opacity 0.5s linear;}
p>img.fade[b-55wu76o9mg] {opacity:0.2; transition:opacity 0.5s linear; -moz-transition: opacity 0.5s linear; -webkit-transition:opacity 0.5s linear;}
p>button[b-55wu76o9mg] {background-color:rgba(255, 255, 255, 0.4); border-radius:50%; padding:var(--UNIT_01); position:absolute; top:50%; transform:translateY(-50%);}
p>button>img[b-55wu76o9mg] {opacity:0.5;}
p>button.backward[b-55wu76o9mg] {left:var(--UNIT_01);}
p>button.forward[b-55wu76o9mg] {right:var(--UNIT_01);}
/* /Shared/Controls/TFWX_Group.razor.rz.scp.css */
/*div {align-items:center; display:flex; flex-direction:row; flex-wrap:wrap; justify-content:space-between;}*/

div.grid[b-r9f34qw3dy] {display:grid; grid-gap:var(--UNIT_04); grid-template-columns:1fr;}
div.flex[b-r9f34qw3dy] {align-items:center; display:flex; flex-direction:row; justify-content:space-between;}
div.flex[b-r9f34qw3dy] >* {margin-right:var(--UNIT_02); width:auto;}

div.flex[b-r9f34qw3dy] >* {flex-grow:1;}
div.flex[b-r9f34qw3dy] >*:last-child {margin-right:0;}

div.flex.fill[b-r9f34qw3dy] >* {flex-grow:unset;}
div.flex.fill[b-r9f34qw3dy] >*:first-child {flex-grow:2;}


@media all and (min-width:600px){
    div.grid[b-r9f34qw3dy] { grid-template-columns: repeat(auto-fit, minmax(var(--UNIT_30), 1fr)); }

}
/* /Shared/Controls/TFWX_InputFile.razor.rz.scp.css */
.fileInputWrapper[b-8uj7ua1t5y] {
    display: flex;
    flex-direction: column;
    align-items:center;
    background-color: #a0c7ff26;
    padding:var(--UNIT_04);
    border: 2px dashed #0072ff;
    border-radius: var(--UNIT_02);
}

.fileInputWrapper img[b-8uj7ua1t5y] { 
    margin-bottom: var(--UNIT_02);
    max-width:30%
}

    .fileInputWrapper label[b-8uj7ua1t5y] {
        cursor: pointer;
        padding: var(--UNIT_01);
        color:white;
        text-align:center;
         
        line-height:30px;
        background-color: var(--COLOUR_ACTIVE);
        border-radius: var(--UNIT_01);
    }
.imgPlaceholder[b-8uj7ua1t5y] { width:10%; margin: var(--UNIT_02) auto; filter:invert(0.5);}

@media all and (min-width:600px){

    .fileInputWrapper label[b-8uj7ua1t5y] { width:50%; margin: 0 auto;}

}
/* /Shared/Controls/TFWX_OLD_Select.razor.rz.scp.css */
/* /Shared/Controls/TFWX_Panel.razor.rz.scp.css */
section[b-egopxvspaz] {background-color:var(--COLOUR_WHITE); box-shadow: 0 0 var(--UNIT_01) rgb(0 0 0 / 0.4); border:var(--BORDER_WIDTH_THIN) solid var(--COLOUR_GREY_MEDIUM); border-radius:var(--UNIT_01)}

section.blue[b-egopxvspaz] {background-color:var(--COLOUR_BLUE); color:var(--COLOUR_WHITE);}
section.grey[b-egopxvspaz] {background-color:var(--COLOUR_GREY_LIGHT);}
section.dark[b-egopxvspaz] {background-color:#666; color:white;}
section .red[b-egopxvspaz] { background-color:#ff000050; }
section .yellow[b-egopxvspaz] { background-color:#ffd42a; }

section .grey[b-egopxvspaz] {background-color:var(--COLOUR_GREY_LIGHT); color:var(--COLOUR_BLACK);}
section .green[b-egopxvspaz] {background-color:var(--COLOUR_GREEN); color:var(--COLOUR_WHITE);}
section .blue[b-egopxvspaz] {background-color:#EEF2FF; color:var(--COLOUR_BLACK);}
section .transparent[b-egopxvspaz] { background-color:var(--COLOUR_TRANSPARENT);}
section h1.transparent[b-egopxvspaz] { padding-bottom:0;}
section details[open] .transparent[b-egopxvspaz] { padding-bottom:0;}

section details summary[b-egopxvspaz] {align-items:center; background-color:var(--COLOUR_GREY_MEDIUM); display:flex; flex-direction:row; justify-content:space-between; margin-bottom:0; padding:var(--UNIT_02) var(--UNIT_04) var(--UNIT_02) var(--UNIT_03); position:relative;}
section details summary svg[b-egopxvspaz] {transition: all 0.3s ease; -webkit-transition: all 0.3s ease; -moz-transition: all 0.3s ease;}
section details[open] summary svg[b-egopxvspaz] {transform: rotate(180deg);}

section fieldset[b-egopxvspaz] {padding:var(--UNIT_04); position:relative;}
section>h1[b-egopxvspaz] {padding:var(--UNIT_02) var(--UNIT_04); margin-bottom:0; text-align:center;}
section>h2[b-egopxvspaz] {padding:var(--UNIT_02) var(--UNIT_04); margin-bottom:0; text-align:center;}


@media all and (min-width: 600px) {
  section details summary[b-egopxvspaz] {padding:var(--UNIT_03) var(--UNIT_08);}
  section fieldset[b-egopxvspaz] {padding:var(--UNIT_04) var(--UNIT_08);}
}


@media all and (min-width: 1024px) {
  section details summary[b-egopxvspaz] {padding:var(--UNIT_03) var(--UNIT_08);}
  section fieldset[b-egopxvspaz] {padding:var(--UNIT_06) var(--UNIT_16);}
}
/* /Shared/Controls/TFWX_QR.razor.rz.scp.css */
div.qr[b-pp2q2sit60] { position: absolute; z-index: 1000;  display: flex; justify-content: center; }
div.qrcontrols[b-pp2q2sit60] { position: absolute; bottom: 0; }
[b-pp2q2sit60] canvas {border:1px solid red;}



/* /Shared/Controls/TFWX_RadialSlider.razor.rz.scp.css */

.buttonGroupContainer[b-9zb4088j6v] {
    display: flex;
    position: relative;
    width: 100%;
    align-items: center;
    justify-content:space-between;
    margin: var(--UNIT_02) auto;
}

.sliderParent[b-9zb4088j6v] {
    display: flex;
    flex-direction: row;
    width: 100%;
    position: relative;
    height: fit-content;
    max-width: 150px;
    margin: 0 auto;
}

.debug[b-9zb4088j6v] {
    color: VAR(--COLOUR_ACTIVE);
    user-select: none;
    font-family: var(--FONT_FAMILY_BOLD);
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 1;
    font-size: clamp(24px, 32px, 6vw);
    transform: translate(-50%);
}

.circle[b-9zb4088j6v] {

    background-color: var(--COLOUR_ACTIVE);
    border-radius: 50%;
    width: 100%;
    padding-bottom: 100%;
    box-shadow:inset 0 0 10px rgba(#000, 0.5);
    touch-action: none;
    position:relative;
}

    .circle[b-9zb4088j6v]:before {
        content: "";
        position: absolute;
        width: 90%;
        height: 90%;
        background-color: #ecf0f1;
        border-radius: 50%;
        top: 5%;
        left: 5%;
        box-shadow: inset 0 0 10px rgba(#000, 0.5);
    }

.dot[b-9zb4088j6v] {
    position: absolute;
    width: 7%;
    height: 50%;
    left: 46.5%;
    top: 0;
    transform: rotate(0deg);
    transform-origin: center bottom;
}


.dot[b-9zb4088j6v]:before {
    content: "";
    position: absolute;
    background-color: #fff;
    box-shadow: 0 0 10px #000;
    width: 200%;
    transform: translate3d(-25%, -25%, 0);
    height: 0;
    padding-bottom: 200%;
    border-radius: 50%;
    cursor: pointer;
}


@media all and (min-wdith:600px) { 

    .sliderParent[b-9zb4088j6v] { max-width: 300px;}
}
/* /Shared/Controls/TFWX_Select.razor.rz.scp.css */

.select-container[b-n6wfheglb9] { position: relative; }
.customSelectDropdown[b-n6wfheglb9] { position: absolute; z-index:5; max-height:250px; background-color:white; overflow-y:scroll; width:100%; border:var(--BORDER_WIDTH_NORMAL) solid #dddddd; padding:0 12px; }

.searchbox:focus[b-n6wfheglb9] { border:none; border-bottom:var(--BORDER_WIDTH_NORMAL) solid #dddddd;} 
.searchbox:hover[b-n6wfheglb9] { border:none; border-bottom:var(--BORDER_WIDTH_NORMAL) solid #dddddd; outline:none; }
.searchbox[b-n6wfheglb9] { position:sticky; top:0; border:none; border-bottom:var(--BORDER_WIDTH_NORMAL) solid #dddddd; border-radius:0; }
.selectable-items[b-n6wfheglb9] { width:100%; }
.selectable-item[b-n6wfheglb9] { cursor: pointer; padding: var(--UNIT_02);}
.selectable-item.selected[b-n6wfheglb9] { background-color:#0053ff; color:white;}

.select-container input.dropdownBox:focus[b-n6wfheglb9] { border:var(--BORDER_WIDTH_NORMAL) solid #dddddd; }

.select-container.up div.tfwx[b-n6wfheglb9]:after { content:"\25b4"!important; }

.select-container div.tfwx[b-n6wfheglb9] { overflow:hidden; }
.select-container div.tfwx[b-n6wfheglb9]::after { position:absolute; top:0; right:0; width:var(--UNIT_08); height:100%; border-bottom-right-radius:var(--UNIT_01); border-top-right-radius:var(--UNIT_01); background-color:var(--COLOUR_ACTIVE); display:flex; align-items:center; justify-content:center; content: "\25be"; font-size:var(--FONT_SIZE_HUGE); color:white; pointer-events:none; }

input[readonly='readonly'][b-n6wfheglb9] { background-color:unset; color:unset; }
/* /Shared/Controls/TFWX_Select_String.razor.rz.scp.css */
.select-container[b-9cq6jf5hvl] {
    position: relative;
}

.customSelectDropdown[b-9cq6jf5hvl] {
    position: absolute;
    z-index: 5;
    max-height: 250px;
    background-color: white;
    overflow-y: scroll;
    width: 100%;
    border: var(--BORDER_WIDTH_NORMAL) solid #dddddd;
    padding: 0 12px;
}

.searchbox:focus[b-9cq6jf5hvl] {
    border: none;
    border-bottom: var(--BORDER_WIDTH_NORMAL) solid #dddddd;
}

.searchbox:hover[b-9cq6jf5hvl] {
    border: none;
    border-bottom: var(--BORDER_WIDTH_NORMAL) solid #dddddd;
    outline: none;
}

.searchbox[b-9cq6jf5hvl] {
    position: sticky;
    top: 0;
    border: none;
    border-bottom: var(--BORDER_WIDTH_NORMAL) solid #dddddd;
    border-radius: 0;
}

.selectable-items[b-9cq6jf5hvl] {
    width: 100%;
}

.selectable-item[b-9cq6jf5hvl] {
    cursor: pointer;
    padding: var(--UNIT_02);
}

    .selectable-item.selected[b-9cq6jf5hvl] {
        background-color: #0053ff;
        color: white;
    }

.select-container input.dropdownBox:focus[b-9cq6jf5hvl] {
    border: var(--BORDER_WIDTH_NORMAL) solid #dddddd;
}

.select-container.up div.tfwx[b-9cq6jf5hvl]:after {
    content: "\25b4" !important;
}

.select-container div.tfwx[b-9cq6jf5hvl] {
    overflow: hidden;
}

    .select-container div.tfwx[b-9cq6jf5hvl]::after {
        position: absolute;
        top: 0;
        right: 0;
        width: var(--UNIT_08);
        height: 100%;
        border-bottom-right-radius: var(--UNIT_01);
        border-top-right-radius: var(--UNIT_01);
        background-color: var(--COLOUR_ACTIVE);
        display: flex;
        align-items: center;
        justify-content: center;
        content: "\25be";
        font-size: var(--FONT_SIZE_HUGE);
        color: white;
        pointer-events: none;
    }

input[readonly='readonly'][b-9cq6jf5hvl] {
    background-color: unset;
    color: unset;
}
/* /Shared/Controls/TFWX_Switch.razor.rz.scp.css */
.toggle-wrapper[b-c7nx2xsg85] {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.knobs[b-c7nx2xsg85],
.layer[b-c7nx2xsg85] {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.switch[b-c7nx2xsg85] {
    position: relative;
    top: 50%;
    width: 74px;
    height: 36px;
    overflow: hidden;
}

    .switch[b-c7nx2xsg85],
    .switch .layer[b-c7nx2xsg85] {
        border-radius: 100px;
    }

.checkbox[b-c7nx2xsg85] {
    position: relative;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    opacity: 0;
    cursor: pointer;
    z-index: 3;
}

.knobs[b-c7nx2xsg85] {
    z-index: 2;
}

.layer[b-c7nx2xsg85] {
    width: 100%;
    background-color: #fff;
    transition: 0.3s ease all;
    -webkit-transition: 0.3s ease all;
    -moz-transition: 0.3s ease all;
    z-index: 1;
    border: 2px solid #ccc;
}

/* Button 1 */
#switch .knobs[b-c7nx2xsg85]:before {
    content: "NO";
    position: absolute;
    top: 4px;
    left: 4px;
    width: 20px;
    height: 10px;
    color: #fff;
    font-size: 10px;
    font-weight: bold;
    text-align: center;
    line-height: 1;
    padding: 9px 4px;
    background-color: #ccc;
    border-radius: 50%;
    transition: 0.3s cubic-bezier(0.18, 0.89, 0.35, 1.15) all;
    -webkit-transition: 0.3s cubic-bezier(0.18, 0.89, 0.35, 1.15) all;
    -moz-transition: 0.3s cubic-bezier(0.18, 0.89, 0.35, 1.15) all;
}

#switch .checkbox:checked + .knobs[b-c7nx2xsg85]:before {
    content: "YES";
    left: 42px;
    color:#666;
    background-color: #fff;
}

#switch .checkbox:checked ~ .layer[b-c7nx2xsg85] {
    background-color: #017bff;
    border: 2px solid #017bff;
}

#switch .knobs[b-c7nx2xsg85],
#switch .knobs[b-c7nx2xsg85]:before,
#switch .layer[b-c7nx2xsg85] {
    transition: 0.3s ease all;
    -webkit-transition: 0.3s ease all;
    -moz-transition: 0.3s ease all;
}
/* /Shared/Controls/TFWX_Toggle.razor.rz.scp.css */
.toggleWrapper[b-8cs6qtn2qg] { display:flex; justify-content:space-between; align-items:center;}
/* /Shared/Layout.razor.rz.scp.css */
/* /Shared/Parts/Banner.razor.rz.scp.css */
h1[b-g4qzbqm0f3] {
    font-size: var(--FONT_SIZE_NORMAL);
}
/* /Shared/Parts/Copyright.razor.rz.scp.css */
span[b-dnrxip252o] {padding:0 var(--UNIT_01); opacity:0.8;}
span a[b-dnrxip252o] {font-family:var(--FONT_FAMILY_BOLD);}
/* /Shared/Parts/Menu.razor.rz.scp.css */
button img[b-t2j7azh5ib] {transition: all 0.3s ease; -webkit-transition:all 0.3s ease; -moz-transition:all 0.3s ease;}
button.toggle img[b-t2j7azh5ib] {transform: rotate(180deg);}


nav[b-t2j7azh5ib] {background-color:var(--COLOUR_GREY_LIGHT); display:block; height:0; left:0; opacity:0; overflow:hidden; position:absolute; top:var(--UNIT_08); width:100%; z-index:9; transition: height 0.5s linear, opacity 1s linear;}
nav[b-t2j7azh5ib] { transform:translateY(0); opacity:1; transition: all 0.5s var(--reusable-bounce-curve-animation); }

nav.toggle[b-t2j7azh5ib] { height:calc(100vh - var(--UNIT_16)); opacity:1;}


/*nav ul li {border-right:var(--BORDER_WIDTH_THIN) solid var(--COLOUR_BLUE); opacity:1; transition:opacity 0.5s; padding:0 var(--UNIT_03); }
nav ul li:last-child {border-right:none;}
nav ul li button {color:var(--COLOUR_BLUE); font-family: var(--FONT_FAMILY_BOLD); transition: all 0.2s ease-out; transform:scale(1); position:relative; }
nav ul li button.active {color:var(--COLOUR_BLACK);}
nav ul:hover li {opacity:0.3; transition:opacity 0.5s;}
nav ul:hover li:hover {opacity:1;}*/


nav.toggle[b-t2j7azh5ib] {}


@media all and (min-width: 600px) {
  nav.toggle[b-t2j7azh5ib] { height:calc(100vh - var(--UNIT_20)); top:var(--UNIT_10);}
}
/* /Shared/Parts/Navigation.razor.rz.scp.css */
ul[b-c1odlm8u98] {align-items:center; display:flex; flex-direction:column; height:100%; justify-content: center; width:100%;}
ul li[b-c1odlm8u98] { width:unset !important;}
ul li figure[b-c1odlm8u98] {align-items:center; display:flex; justify-content:flex-start; width:var(--UNIT_32);}
ul li figure figcaption[b-c1odlm8u98] {font-family:var(--FONT_FAMILY_BOLD); font-size:var(--FONT_SIZE_LARGE); line-height:var(--LINE_HEIGHT_LARGE); padding-left:var(--UNIT_04);}
/* /Shared/Parts/Platforms.razor.rz.scp.css */
ul[b-0t3wmimhms] {align-items:center; display:flex; flex-direction:row; flex-grow:2; justify-content:flex-end;}
ul li[b-0t3wmimhms] {padding:0 var(--BORDER_WIDTH_NORMAL);}
ul li img[b-0t3wmimhms] {opacity:0.5;}
/* /Shared/Parts/UpdateAvailableDetector.razor.rz.scp.css */
.floating-update-button[b-qf1ivpy8l3] {
    z-index: 100;
    position: fixed;
    left: 50%;
    bottom: 3em;
    transform: translate(-50%, -50%);
    margin: 0 auto;
    color: var(--COLOUR_BLACK);
    padding: var(--UNIT_02) var(--UNIT_04);
    border-radius: var(--UNIT_02);
    background-color: var(--COLOUR_GREEN);
    animation: fadein-b-qf1ivpy8l3 1s ease-out;
}

.floating-update-button span[b-qf1ivpy8l3]{
    font-weight:600;
}

@keyframes fadein-b-qf1ivpy8l3 {
    from {
        left: -100%;
    }

    to {
        left: 50%;
    }
}
